<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.206
Name: Special treatments and procedures section
Description: The Procedure steps section contains the description of tissue dissection: representative specimens and derived specimens dissected for other ancillary procedures (flow cytometry, cytogenetics, molecular studies, electron microscopy, etc.) or biorepository.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000">
   <title>Special treatments and procedures section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]
Item: (Specialtreatmentsandproceduressection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]"
         id="tmp-r-1731868e-b077-4119-a242-37d3f74dd240">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@classCode)='DOCSECT'">(Specialtreatmentsandproceduressection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'])&gt;=1 ">(Specialtreatmentsandproceduressection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'])&lt;=1">(Specialtreatmentsandproceduressection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Specialtreatmentsandproceduressection): element hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']"
         id="tmp-r-5eb096f7-606a-4d81-869f-2c218db9f632">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.206'">(Specialtreatmentsandproceduressection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.206' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a9912edf-8738-4b70-848d-3708064acf11">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or (@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')">(Specialtreatmentsandproceduressection): de elementwaarde MOET zijn code '46059-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:title
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:title"
         id="tmp-r-e8805344-a050-495c-b027-3c5b8d330bd3">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:text
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:text"
         id="tmp-r-1634c2fe-88c7-4fd2-9ab7-d83fe4b67340">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140902T175148/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
